
' Copyright (c) 2015 ZZZ Projects. All rights reserved
' Licensed under MIT License (MIT) (https://github.com/zzzprojects/Z.ExtensionMethods)
' Website: http://www.zzzprojects.com/
' Feedback / Feature Requests / Issues : http://zzzprojects.uservoice.com/forums/283927
' All ZZZ Projects products: Entity Framework Extensions / Bulk Operations / Extension Methods /Icon Library

Imports System.Text.RegularExpressions

Public Module Extensions_569

	''' <summary>
	'''     Searches the specified input string for the first occurrence of the specified regular expression.
	''' </summary>
	''' <param name="input">The string to search for a match.</param>
	''' <param name="pattern">The regular expression pattern to match.</param>
	''' <returns>An object that contains information about the match.</returns>
	<System.Runtime.CompilerServices.Extension> _
	Public Function Match(input As [String], pattern As [String]) As Match
		Return Regex.Match(input, pattern)
	End Function

	''' <summary>
	'''     Searches the input string for the first occurrence of the specified regular expression, using the specified
	'''     matching options.
	''' </summary>
	''' <param name="input">The string to search for a match.</param>
	''' <param name="pattern">The regular expression pattern to match.</param>
	''' <param name="options">A bitwise combination of the enumeration values that provide options for matching.</param>
	''' <returns>An object that contains information about the match.</returns>
	<System.Runtime.CompilerServices.Extension> _
	Public Function Match(input As [String], pattern As [String], options As RegexOptions) As Match
		Return Regex.Match(input, pattern, options)
	End Function
End Module


